| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
lfun::

# Method lfun::`==()

Method `==

  `int(0..1) `==(mixed arg)`

Description

  Equality test callback.

Note

  If this is implemented it might be necessary to implement lfun::__hash too. Otherwise mappings might hold several objects as indices which are duplicates according to this function. Various other functions that use hashing also might not work correctly, e.g. Array.uniq .

Note

  It's assumed that this function is side-effect free.

See also

  `==() , lfun::__hash